package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.grid.domain.vo.AddressResultVO;
import com.ruoyi.ibs.grid.domain.vo.RegionMapVO;
import org.locationtech.jts.geom.Geometry;

public interface AddressAnalyseService {


    AddressResultVO pointInGeometry(double lng, double lat);

    AddressResultVO addressStandardize(String address);

    RegionMapVO getPointListByCode(String code);

    Geometry getGeometryById(Integer adminId);

    Boolean checkWktValid(String wkt);



}
